.navigation {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 890;
    position: fixed;
    background: $white;
    transform: translateX(-100%);
    transition: transform .5s;

    &__body {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
        overflow-y: auto;
        padding-top: rem(60);
        padding-bottom: rem(20);
    }

    &__primary {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__group {
        border-bottom: 1px solid #B3B3B9;

        &.open {

            .navigation {

                &__arrow {
                    transform: rotate(180deg);
                    transition: .3s;
                }

                &__text {
                    border-bottom-color: $blue;
                    transition: .3s;
                }

                &__children {
                    opacity: 1;
                    transition: .3s;
                }
            }
        }
    }

    &__parent {
        fill: $blue;
        color: $dark;
        min-height: rem(53);
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(16);
        text-decoration: none;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-left: rem(43);

        &:hover {
            fill: $blue;
            color: $dark;
            text-decoration: none;
        }
    }

    &__text {
        padding: rem(4) 0;
        max-width: rem(220);
        display: inline-block;
        border-bottom: 2px solid transparent;
        transition: .3s;
    }

    &__icon {
        left: 0;
        top: calc(50% - 11px);
        height: 23px;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        position: absolute;
        transition: .3s;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: rem(10);
        margin-left: rem(12);
        display: inline-block;
    }

    &__children {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(16);
        padding-left: rem(43);

        overflow: hidden;
        max-height: 0;
        opacity: 0;
        will-change: max-height;
        transition: .3s;
    }

    &__list {
        margin: 0;
        padding: rem(4) 0 rem(20) 0;
        list-style: none;
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(20);
        }
    }

    &__link {
        color: $dark;
        text-decoration: none;
        transition: .3s;

        &:hover {
            color: $gray-intense;
            text-decoration: none;
            transition: .3s;
        }
    }

    &__button {
        text-align: center;

        .btn {
            width: 100%;
        }
    }

    &__header {
        top: 0;
        left: 0;
        right: 0;
        padding: rem(10) 0;
        z-index: 1250;
        position: fixed;
        background: $white;
        border-bottom: 1px solid #C4C4C4;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);

        &__wrap {
            display: flex;
            flex-direction: row-reverse;
        }
    }

    &--v2 {
        z-index: 1200;

        .navigation {

            &__body {
                padding-top: rem(40);
            }
        }
    }

    &--v3 {

        .navigation {

            &__parent {
                min-height: rem(59);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__button {

            .btn {
                width: rem(360);
            }
        }
    }


    @include media-breakpoint-up(xl) {
        padding: 0;
        top: rem(99);
        left: 0;
        bottom: auto;
        display: block;
        position: fixed;
        height: auto;
        opacity: 1;
        visibility: visible;
        border-bottom: 1px solid #C4C4C4;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
        transform: translateX(0);
        transition: none;

        &__body {
            padding: 0;
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            overflow: visible;
            position: relative;
        }

        &__secondary {
            display: none;
        }

        &__button {
            display: none;
        }

        &__primary {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__group {
            position: relative;
            border-bottom: none;
            flex-grow: 1;
            display: flex;
            justify-content: center;

            &.open,
            &:hover {

                .navigation__children {
                    opacity: 1;
                    visibility: visible;
                    transition: opacity .3s;
                }

                .navigation__parent {

                }

                .navigation__text {
                    border-bottom-color: $blue;
                    transition: .3s;
                }
            }

            &:first-child {
                justify-content: flex-start;
            }

            &:last-child {
                justify-content: flex-end;
            }
        }

        &__arrow {
            display: none;
        }

        &__parent {
            padding: 0;
            z-index: 100;
            height: rem(86);
            min-height: inherit;
            display: flex;
            justify-content: flex-start;

            &:hover {

                .navigation {

                    &__text {
                        border-bottom-color: $blue;
                        transition: .3s;
                    }
                }
            }
        }

        &__icon {
            top: auto;
            left: auto;
            height: rem(36);
            position: relative;
            margin-right: rem(20);
        }

        &__children {
            top: 100%;
            left: 0;
            z-index: 50;
            font-size: rem(12);
            line-height: rem(14);
            padding: rem(25) 0;
            min-width: 100%;
            position: absolute;
            visibility: hidden;
            overflow: visible;
            max-height: inherit;
            opacity: 0;
            will-change: auto;
            background: $white;
            border-top: 1px solid #C4C4C4;
            transition: opacity .3s;
        }

        &__list {
            padding: 0;
            min-width: rem(270);

            &--xl {
                min-width: rem(555);
                display: grid;
                grid-template-columns: 1fr 1fr;
            }
        }

        &__item {

            &:not(:last-child) {
                margin-bottom: 0;
            }
        }

        &__link {
            display: block;
            padding: rem(15) rem(25);
        }

        &__header {
            display: none;
        }

        &--v2 {
            z-index: 890;

            .navigation {

                &__body {
                    padding: 0;
                }
            }
        }

        &--v3 {

            .navigation {

                &__parent {
                    height: rem(86);
                    min-height: inherit;
                }
            }
        }
    }
}

.navigation-secondary {
    margin: rem(5) 0 rem(17) 0;
    padding: 0;
    list-style: none;
    font-weight: 500;
    font-size: rem(12);
    line-height: rem(13);
    border-top: 1px solid #B3B3B9;

    &__item {
        padding-top: rem(13);
    }

    &__link {
        color: $dark;
        text-decoration: none;
        display: inline-flex;
        align-items: center;

        &:hover {
            color: $dark;
            text-decoration: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(17);
            margin-right: rem(15);
            display: inline-block;
        }

        span {
            display: inline-block;
        }
    }
}

.nav-open {
    height: 100%;
    overflow: hidden;


    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(8px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-8px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }

    .navigation {
        opacity: 1;
        visibility: visible;
        transform: translateX(0);
        transition: transform .5s;
    }
}

.navigation-open {

    @include media-breakpoint-up(xl) {

        .navigation-layout {
            opacity: 1;
            visibility: visible;
            transition: opacity .3s;
        }
    }
}

.navigation-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 850;
    position: fixed;
    background: rgba(0, 0, 20, 0.5);
    transition: opacity .3s;
}
